Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 15 Feb 2013 20:59:37 +0100

Hi Eli,

Eli Zaretskii <[email-masked]> writes:

> Btw, I'm surprised that helm starts an async subprocess, just to kill
> it after its output was collected.  Isn't this exactly what
> synchronous subprocesses are for?  What is the purpose of such a
> strange design?

It allow among other things to run several sources all together (async
sources and normal sources), a synchronous process would block results of
all other sources.

But yes, having the possibility to use a synchronous process for a
single source would be nice in some cases.
Maybe I will write this in next versions of helm.

> (except if you wanted to help find bugs in Emacs when async
> subprocesses are launched and killed at high frequency ;-)

Indeed this is another feature I didn't think about ;-)

Thanks for your work on this.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997